Bug 1130547 - hammer-import-config-file needs to default to not-upload
Summary: hammer-import-config-file needs to default to not-upload
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Transitions
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Grant Gainey
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks: stargate-GA-tracker
TreeView+ depends on / blocked
 
Reported: 2014-08-15 13:52 UTC by Grant Gainey
Modified: 2017-02-23 21:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-19 15:20:00 UTC


Attachments (Terms of Use)

Description Grant Gainey 2014-08-15 13:52:39 UTC
Currently hammer-import-config-file builds and uploads the converted cfg-files, with an option to say "do not upload". It is more useful to the Sat6 user, to have the created-puppet-module tree available, to be imported into Sat6 'correctly'.

Switch the default behavior to 'just generate'. Change the name of the switch from --generate-only to --upload-modules.

Comment 1 RHEL Product and Program Management 2014-08-15 14:03:17 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Grant Gainey 2014-08-19 15:20:00 UTC
This is actually not a good idea. Uploading compiled-puppet-modules is the Way It's Done for Sat6. Sat5 customers using cfg-files are not generally puppet-savvy. the default should be "do it for them" - they can choose to not-upload when/if/as they become more adept at puppet-world.

Closing.


Note You need to log in before you can comment on or make changes to this bug.